class ConcordanceQueryBuilder {

  constructor() {

    this.elements = new ElementReferencesQueryBuilder();

    this.extensions = {
      generalFunctions: new GeneralQueryBuilderFunctions(this, this.elements),
      structuralAttributeBuilderFunctions: new StructuralAttributeBuilderFunctions(this, this.elements),
      tokenAttributeBuilderFunctions: new TokenAttributeBuilderFunctions(this, this.elements),
    };
    
  }
  
}
